import { EventAggregator }             from "aurelia-event-aggregator";
import { Router, RouterConfiguration } from "aurelia-router";
import { PitayaView }                  from "./view";

export declare abstract class PitayaApp
{
	public static instance: PitayaApp;
	public readonly currentView: PitayaView;
	public readonly isOnline: boolean;
	public statusBarColor: string;
	public enableControls: boolean;

	protected constructor( eventAggregator: EventAggregator );

	public configureRouter( config: RouterConfiguration, router: Router ): Promise<void>;

	public navigate( routeName: string, options?: any ): boolean;

	public navigateToRoute( routeName: string, params?: object, options?: any ): boolean;

	public navigateBack();
}

export declare function overrideBrowserBackButton( callback: Function );

export declare function setStatusBarColor( color: string );

export declare function navigate( routeName: string, options?: any ): boolean;

export declare function navigateToRoute( routeName: string, params?: object, options?: any ): boolean;

export declare function navigateBack();

export declare function enableControls( enable: boolean );